//
//	Copyright © 2009 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#pragma once

namespace VWFC
{
	namespace Math
	{
		class VWBody
		{
		public:
			// construction
						VWBody();
						VWBody(int bodyID);
						VWBody(const VWBody& src);
			virtual		~VWBody();

			VWBody&		operator=(const VWBody& src);

		public:
			size_t		GetFacesCount();
			VWBodyFace	GetFaceAt(size_t index);
			size_t		GetEdgesCount();
			VWBodyEdge	GetEdgeAt(size_t index);


		private:
			IVWUnknown*	fp;
			int			fBodyID;
		};
	}
}